using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SQLite;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HIA_beadando.Database;

namespace HIA_beadando
{
    class Szinhaz
    {
        public List<Foglalas> jegyFoglalasok = new List<Foglalas>();

        public Szinhaz()
        { }

        public void eloadasFoglalasok(int eloadasID)
        {
            DatabaseOperator dbo = new DatabaseOperator();

            dbo.openConnection();

            string sql_count = "select foglalasID, felhasznaloID, eloadasID, sor, szek from jegyfoglalasok where eloadasID = " + eloadasID;

            SQLiteCommand command = new SQLiteCommand(sql_count, dbo.GetConnection());

            SQLiteDataAdapter dataAdapter = new SQLiteDataAdapter(command);

            DataTable dataTable = new DataTable();

            dataTable.Clear();

            dataAdapter.Fill(dataTable);

            for (int i = 0; i < dataTable.Rows.Count; i++)
            {
                int foglalas = int.Parse(dataTable.Rows[i][0].ToString());
                int felhasznalo = int.Parse(dataTable.Rows[i][1].ToString());
                int eloadas = int.Parse(dataTable.Rows[i][2].ToString());
                int sor = int.Parse(dataTable.Rows[i][3].ToString());
                int szek = int.Parse(dataTable.Rows[i][4].ToString());

                jegyFoglalasok.Add(new Foglalas(foglalas, felhasznalo, eloadas, sor, szek));
            }


            dbo.closeConnection();
        }
    }

    class Foglalas
    {
        public int foglalasID { get; set; }
        public int felhasznaloID { get; set; }
        public int eloadasID { get; set; }
        public int sor { get; set; }
        public int szek { get; set; }

        public Foglalas(int foglalas, int felhasznalo, int eloadas, int sor, int szek)
        {
            this.foglalasID = foglalas;
            this.felhasznaloID = felhasznalo;
            this.eloadasID = eloadas;
            this.sor = sor;
            this.szek = szek;
        }
    }
}
